var corpID;
//年报数
var annualNum;
//失信记录数
var breakNum;
//诉讼记录数
var litigationNum;
//行政处罚数
var punishNum;

var index = 0;
apiready = function(){
	corpID = api.pageParam.corpID;
	showProgress();
    getAnnualNumber(corpID);
    getBreakNumber(corpID);
    getLitigationNumber(corpID);
    getPulishNumber(corpID);
}

//获取年报数量
function getAnnualNumber(id){
	sendRequest({
		url:'api/Common/GetEntAnnualReport',
		methodType:'get',
		dataType:'text',
		parameters:{
			"Ent_id": decodeURIComponent(id) 
		}
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson($api.strToJson(ret));
			annualNum = obj.data.entAnnual.length;
			index++;
			if(index==4){
    			getCorpInfo(id);
			}
		}
	})
}

//获取失信记录数量
function getBreakNumber(id){
	sendRequest({
		url:'api/OpenMsg/GetEntLostPromiseInfo',
		methodType:'get',
		dataType:'text',
		parameters:{
			"Ent_id": decodeURIComponent(id) 
		}
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson($api.strToJson(ret));
			breakNum = obj.data[0].Table.length;
			index++;
			if(index==4){
    			getCorpInfo(id);
			}
		}
	})
}

//获取诉讼数量
function getLitigationNumber(id){
	sendRequest({
		url: 'api/OpenMsg/GetLitigation',
		methodType: 'get',
		dataType: 'text',
		parameters: {
			"Ent_id": decodeURIComponent(id) 
		}
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson($api.strToJson(ret));
			litigationNum = obj.data[0].Table.length;
			index++;
			if(index==4){
    			getCorpInfo(id);
			}
		}
	})
}

//获取行政处罚数量
function getPulishNumber(id){
	sendRequest({
		url:'api/OpenMsg/GetPunishInfo',
		methodType:'get',
		dataType:'text',
		parameters:{ 
            "Ent_id": decodeURIComponent(id) 
        }
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson($api.strToJson(ret));
			punishNum = 0;
			for(var i in obj.data){
				punishNum += obj.data[i].Table.length;
			}
			index++;
			if(index==4){
    			getCorpInfo(id);
			}
		}
	})
}

//获取企业详细信息
function getCorpInfo(id){
	sendRequest({
		url: 'api/OpenMsg/GetEnt_AllInfo',
        methodType: 'get',
        dataType: 'text',
        parameters: {
            Ent_id: decodeURIComponent(id)
        }
	},function(ret,err){
    	if(api.systemType=="ios"){
    		ret = err;
    	}
		if(ret){
			var obj = $api.strToJson($api.strToJson(ret));
			if(obj.msg=="查询成功"){
				showResult(obj);
			}
		}else{
			api.toast({
	            msg:'网络或服务器出错，请稍后再试'
            });
		}
		api.hideProgress();
	});
}

//将查询结果显示在页面中
function showResult(obj){
	//api.alert({ msg: JSON.stringify(obj) });
	var content = $api.byId('detailsContent');
	var tpl = $api.byId('details-template').text;
	var tempFn = doT.template(tpl);
	content.innerHTML = tempFn(obj.entall.data[0]);

	$api.byId('annualNum').innerText = annualNum;
	$api.byId('breakNum').innerText = breakNum;
	$api.byId('litigationNum').innerText = litigationNum;
	$api.byId('punishNum').innerText = punishNum;
}

function OpenWin(name){
	api.openWin({
	    name: name+'_win',
	    url: '../html/'+name+'_win.html',
	    pageParam: {
	        pageName: name,
	        id: corpID
	    }
	});
}